import request from "@/utils/request";

// 留言列表
export const listNews = (params) =>
  request({
    url: "/business/news/list",
    method: "GET",
    params,
  });
// 分类列表
export const listCategory = () =>
  request({
    url: "/business/news/category",
    method: "GET",
  });

export const addNews = (data) =>
  request({
    url: "/business/news",
    method: "POST",
    data,
  });

export const deleteNews = (ids) =>
  request({
    url: `/business/news/${ids}`,
    method: "DELETE",
  });

export const getNews = (id) =>
  request({
    url: `/business/news/${id}`,
    method: "GET",
  });

export const updateNews = (data) =>
  request({
    url: `/business/news`,
    method: "PUT",
    data,
  });
